* {
    padding: 0;
    margin: 0;
    box-sizing: border-box;
}

h1 {
    margin-top: 8px;
    text-align: center;
}


.table {
    border: 1px solid #000;
    width: 80%;
    margin: 16px auto;
    box-shadow: rgba(100, 100, 111, 0.2) 0px 7px 29px 0px;
}

#users {
    font-family: Arial, Helvetica, sans-serif;
    border-collapse: collapse;
    width: 100%;
    padding: 16px;
}

#users td,
#users th {
    border: 1px solid #ddd;
    padding: 8px;
}

#users tr:nth-child(odd) {
    background-color: #f2f2f2;
}



#users th {
    padding-top: 12px;
    padding-bottom: 12px;
    text-align: left;
    background-color: #fff;
    position: relative;
}

.th__sort  {
    display: flex;
    position: absolute;
    right: 0;
    top: 50%;
    transform: translateY(-50%);
    flex-direction: column;
    padding: 0 8px;
    color: #ddd;
}
.th__sort div {
    height: 10px;
    width: 10px;
}
.th__sort div i {
    width: 100%;
    height: 100%;
}




.table__action,
.page {
    width: 80%;
    margin: 0 auto;
    margin-top: 32px;
    display: flex;
    justify-content: space-between;
}

#table__items {
    padding: 4px;
}

.table__action__show span,
.table__action__search span {
    font-size: 18px;
}

.table__action__search input {
    padding: 4px;
}

/* Pagination */
.page {
    margin-top: 8px;
    margin-bottom: 32px;
}

.pagination {
    display: flex;
}

.pagination a,
.pagination button {
    color: black;
    float: left;
    padding: 8px 16px;
    text-decoration: none;
    border: 1px solid #ddd;
}

.pagination a.active {
    background-color: #333333;
    color: white;
    border: 1px solid #333333;
    
}

.pagination a:hover:not(.active),
.pagination button:hover {
    background-color: #ddd;
    cursor: pointer;
}

.pagination a:first-child {
    border-top-left-radius: 5px;
    border-bottom-left-radius: 5px;
}

.pagination a:last-child {
    border-top-right-radius: 5px;
    border-bottom-right-radius: 5px;
}

.pagination button {
    background-color: #fff;
}

.pagination .button--disabled {
    background-color: #ddd;
}
.pagination .button--disabled:hover {
    cursor: default;
}

.th__sort--enabled {
    color: #000;
}

